IntelliShapedImage Class Reference

The IntelliShapedImage manages a Shapedimage. More...

`#include <IntelliShapedImage.h>`

Inheritance diagram for IntelliShapedImage:

## Public Member Functions

| IntelliShapedImage (int width, int height, bool fastRendererOn)
| The Construcor of the IntelliShapedImage. Given the Image dimensions. More...
virtual | ~IntelliShapedImage () override
| An Destructor. More...
virtual QImage | getDisplayable (const QSize &displaySize, int alpha=255) override
| A function returning the displayable ImageData in a requested transparence and size. More...
virtual QImage | getDisplayable (int alpha=255) override
| A function returning the displayable ImageData in a requested transparence and it's standart size. More...
virtual IntelliImage * | getDeepCopy () override
| A function that copys all that returns a [allocated] Image. More...
virtual std::vector< QPoint > | getPolygonData () override
| A function that returns the Polygondata if existent. More...
virtual void | setPolygon (const std::vector< QPoint > &polygonData) override
| A function that sets the data of the visible Polygon. More...
virtual std::vector< QPoint > | getPolygon () override
| getPolygon More...
Public Member Functions inherited from IntelliRasterImage
| IntelliRasterImage (int width, int height, bool fastRendererOn)
| The Construcor of the IntelliRasterImage. Given the Image dimensions. More...
virtual | ~IntelliRasterImage () override
| An Destructor. More...
Public Member Functions inherited from IntelliImage
| IntelliImage (int width, int height, bool fastRendererOn)
| The Construcor of the IntelliImage. Given the Image dimensions. More...
virtual | ~IntelliImage ()=0
| An Abstract Destructor. More...
virtual void | drawPixel (const QPoint &p1, const QColor &color)
| A funtcion used to draw a pixel on the Image with the given Color. More...
virtual void | drawLine (const QPoint &p1, const QPoint &p2, const QColor &color, const int &penWidth)
| A function that draws a line between two given points in a given color. More...
virtual void | drawPoint (const QPoint &p1, const QColor &color, const int &penWidth)
| A function that draws a point between on a given point in a given color. More...
virtual void | drawPlain (const QColor &color)
| A function that clears the whole image in a given Color. More...
virtual ImageType | getTypeOfImage ()
virtual bool | loadImage (const QString &filePath)
| A function that loads and sclaes an image to the fitting dimensions. More...
virtual QColor | getPixelColor (QPoint &point)
| A function that returns the pixelcolor at a certain point. More...
virtual void | updateRendererSetting (bool fastRendererOn)
| updateRendererSetting updates the existing image format to the new format. More...
virtual QImage | getImageData ()
| getImageData returns the data of the current image (Note: It will allways return a ARGB32bit QImage!). More...
virtual void | setImageData (const QImage &newData)
| setImageData overwrites the old imageData the new imageData. More...
virtual int | getWidth () const
| getWidth returns the width of the Image. More...
virtual int | getHeight () const
| getHeight returns the height of the Image. More...
virtual bool | isFastRendering () const
| isFastRendering returns if the Image is in fast rendering mode. More...

## Protected Attributes

std::vector< QPoint > | polygonData
| The Vertices of The Polygon. Needs to be a planar Polygon. More...
Protected Attributes inherited from IntelliImage
QImage | imageData
| The underlying image data. More...
ImageType | TypeOfImage
| The Type, an Image is. More...
bool | fastRenderering
| fastRendering is the flag that represents the usage of 8bit pictures. More...

## Additional Inherited Members

Protected Member Functions inherited from IntelliImage
void | resizeImage (QImage *image, const QSize &newSize)

## Detailed Description

The IntelliShapedImage manages a Shapedimage.

Definition at line 13 of file IntelliShapedImage.h.

## Constructor & Destructor Documentation

## IntelliShapedImage()

IntelliShapedImage::IntelliShapedImage | ( | int | width,
|  | int | height,
|  | bool | fastRendererOn
| ) |  |

The Construcor of the IntelliShapedImage. Given the Image dimensions.

Parameters

  width | - The width of the Image.
  height | - The height of the Image.
  fastRendererOn | - Represents the flag for 8bit picture handelling.

Definition at line 7 of file IntelliShapedImage.cpp.

## ~IntelliShapedImage()

IntelliShapedImage::~IntelliShapedImage | ( |  | ) |

overridevirtual

An Destructor.

Definition at line 12 of file IntelliShapedImage.cpp.

## Member Function Documentation

## getDeepCopy()

IntelliImage * IntelliShapedImage::getDeepCopy | ( |  | ) |

overridevirtual

A function that copys all that returns a [allocated] Image.

Returns
  A [allocated] Image with all the properties of the instance.

Reimplemented from IntelliRasterImage.

Definition at line 20 of file IntelliShapedImage.cpp.

## getDisplayable() [1/2]

QImage IntelliShapedImage::getDisplayable | ( | const QSize & | displaySize,
|  | int | alpha = `255`
| ) |  |

overridevirtual

A function returning the displayable ImageData in a requested transparence and size.

Parameters

  displaySize | - The size, in whcih the Image should be displayed.
  alpha | - The maximum alpha value, a pixel can have.

Returns
  A QImage which is ready to be displayed.

Reimplemented from IntelliRasterImage.

Definition at line 69 of file IntelliShapedImage.cpp.

## getDisplayable() [2/2]

QImage IntelliShapedImage::getDisplayable | ( | int | alpha = `255` | ) |

overridevirtual

A function returning the displayable ImageData in a requested transparence and it's standart size.

Parameters

  alpha | - The maximum alpha value, a pixel can have.

Returns
  A QImage which is ready to be displayed.

Reimplemented from IntelliRasterImage.

Definition at line 16 of file IntelliShapedImage.cpp.

## getPolygon()

std::vector< QPoint > IntelliShapedImage::getPolygon | ( |  | ) |

overridevirtual

getPolygon

Returns
  returns the data of the polygon as points

Reimplemented from IntelliRasterImage.

Definition at line 114 of file IntelliShapedImage.cpp.

## getPolygonData()

virtual std::vector<QPoint> IntelliShapedImage::getPolygonData | ( |  | ) |

inlineoverridevirtual

A function that returns the Polygondata if existent.

Returns
  The Polygondata if existent.

Reimplemented from IntelliImage.

Definition at line 71 of file IntelliShapedImage.h.

## setPolygon()

void IntelliShapedImage::setPolygon | ( | const std::vector< QPoint > & | polygonData | ) |

overridevirtual

A function that sets the data of the visible Polygon.

Parameters

  polygonData | - The Vertices of the Polygon. Just Planar Polygons are allowed.

Reimplemented from IntelliRasterImage.

Definition at line 87 of file IntelliShapedImage.cpp.

## Member Data Documentation

## polygonData

std::vector<QPoint> IntelliShapedImage::polygonData

protected

The Vertices of The Polygon. Needs to be a planar Polygon.

Definition at line 31 of file IntelliShapedImage.h.

The documentation for this class was generated from the following files:

- src/Image/IntelliShapedImage.h
- src/Image/IntelliShapedImage.cpp